MVN

io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e

Maven & Gradle

Oct 10, 2022

devonfw-ide-eclipse-m2e · Maven example project to trigger/enforce the installation of m2e plugins

<dependency>
    <groupId>io.github.ahmedagdmoun.tools.ide</groupId>
    <artifactId>devonfw-ide-eclipse-m2e</artifactId>
    <version>2022.10.002</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 2022.10.002

All Versions

Choose a version of io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e to add to Maven or Gradle - All Versions:

  • Version Updated
  • devonfw-ide-eclipse-m2e-2022.10.002

    Oct 10, 2022
  • devonfw-ide-eclipse-m2e-2022.09.018

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.017

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.016

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.015

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.014

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.013

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.012

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.011

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.010

    Sep 29, 2022
  • devonfw-ide-eclipse-m2e-2022.09.009

    Sep 27, 2022
  • devonfw-ide-eclipse-m2e-2022.09.006

    Sep 22, 2022
  • devonfw-ide-eclipse-m2e-2022.09.004

    Sep 21, 2022
  • devonfw-ide-eclipse-m2e-2022.09.005

    Sep 21, 2022
  • devonfw-ide-eclipse-m2e-2022.09.001

    Sep 18, 2022
  • devonfw-ide-eclipse-m2e-2022.08.003

    Sep 17, 2022
  • devonfw-ide-eclipse-m2e-2022.08.002

    Sep 17, 2022

How to add a dependency to Maven

Add the following io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>io.github.ahmedagdmoun.tools.ide</groupId>
    <artifactId>devonfw-ide-eclipse-m2e</artifactId>
    <version>2022.10.002</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e gradle dependency to your build.gradle file:

implementation 'io.github.ahmedagdmoun.tools.ide:devonfw-ide-eclipse-m2e:2022.10.002'

Gradle Kotlin DSL: Add the following io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e gradle kotlin dependency to your build.gradle.kts file:

implementation("io.github.ahmedagdmoun.tools.ide:devonfw-ide-eclipse-m2e:2022.10.002")

How to add a dependency to SBT Scala

SBT Scala: Add the following io.github.ahmedagdmoun.tools.ide : devonfw-ide-eclipse-m2e sbt scala dependency to your build.sbt file:

libraryDependencies += "io.github.ahmedagdmoun.tools.ide" % "devonfw-ide-eclipse-m2e" % "2022.10.002"